[Fai-commit] r6398 - in trunk/examples/simple/scripts: DEBIAN FAIBASE

Michael Goetze mgoetze-guest at alioth.debian.org
Fri Apr 15 12:30:57 UTC 2011


Author: mgoetze-guest
Date: 2011-04-15 12:30:46 +0000 (Fri, 15 Apr 2011)
New Revision: 6398

Modified:
   trunk/examples/simple/scripts/DEBIAN/40-misc
   trunk/examples/simple/scripts/FAIBASE/10-misc
Log:
Move some things from scripts/FAIBASE/10-misc to scripts/DEBIAN/40-misc

Modified: trunk/examples/simple/scripts/DEBIAN/40-misc
===================================================================
--- trunk/examples/simple/scripts/DEBIAN/40-misc	2011-04-15 12:24:58 UTC (rev 6397)
+++ trunk/examples/simple/scripts/DEBIAN/40-misc	2011-04-15 12:30:46 UTC (rev 6398)
@@ -1,7 +1,16 @@
 #! /bin/bash
 
+# (c) Thomas Lange, 2001-2011, lange at debian.org
+# (c) Michael Goetze, 2010-2011, mgoetze at mgoetze.net
+
 error=0; trap 'error=$(($?>$error?$?:$error))' ERR # save maximum error code
 
+# a list of modules which are loaded at boot time
+for module in $MODULESLIST; do
+    ainsl -a $target/etc/modules "^$module$"
+done
+
+fcopy -v /etc/hostname || echo $HOSTNAME > $target/etc/hostname
 ainsl -av ${target}/etc/mailname ${HOSTNAME}
 sed -i -e "s/^UTC.*/UTC=${UTC}/" $target/etc/default/rcS
 sed -i -e 's#/sbin/getty 38400#/sbin/getty -f /etc/issue.linuxlogo 38400#' ${target}/etc/inittab

Modified: trunk/examples/simple/scripts/FAIBASE/10-misc
===================================================================
--- trunk/examples/simple/scripts/FAIBASE/10-misc	2011-04-15 12:24:58 UTC (rev 6397)
+++ trunk/examples/simple/scripts/FAIBASE/10-misc	2011-04-15 12:30:46 UTC (rev 6398)
@@ -5,13 +5,6 @@
 
 error=0; trap 'error=$(($?>$error?$?:$error))' ERR # save maximum error code
 
-# a list of modules which are loaded at boot time
-for module in $MODULESLIST; do
-    ainsl -a $target/etc/modules "^$module$"
-done
-
-fcopy /etc/hostname || echo $HOSTNAME     > $target/etc/hostname
-echo $TIMEZONE    > $target/etc/timezone
 ln -fs /usr/share/zoneinfo/${TIMEZONE} $target/etc/localtime
 
 if [ -n "$IPADDR" ]; then




More information about the Fai-commit mailing list